Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCdirTree

## Specification of methods

### setSelectedDirName Function Description

Form
  long setSelectedDirName(char* dirname,WSCbool opened = True)
Function
  Specify the selected directory
Description
  When opened is True, the specified directory is extracted.
Parameters

  (in)char* dirname | Directory name
  (in)WSCbool opened | Display status

Return value
  WS_NO_ERR= Normal, otherwise error
Notice
Samples

      #include <WSCdirTree.h>
      void sample_proc(WSCbase* object){
        WSCdirTree* dirtree = (WSCdirTree*)object->cast("WSCdirTree");
        if (dirtree == NULL){
          return;
        }
        dirtree->setSelectedDirName("/home/users");
      }

  ### getSelectedDirName Function Description

  Form
    char* getSelectedDirName()
  Function
    Obtain a directory that has selected status.
  Description
    Obtain a directory currently selected.
  Parameters
    None.
  Return value
    Directory name
  Notice
    Do not release the returned directory name
  Samples

        #include <WSCdirTree.h>
        void sample_proc(WSCbase* object){
          WSCdirTree* dirtree = (WSCdirTree*)object->cast("WSCdirTree");
          if (dirtree == NULL){
            return;
          }
          char* selected_dir = dirtree->getSelectedDirName();
        }

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004